Manifest-Version: 1.0
Bnd-LastModified: 1723209671629
Bundle-Description: HTTP device factory
Bundle-Developers: timothyjward;name="Timothy Ward";organization=Kenty
 ou;organizationUrl="https://www.kentyou.com/",tcalmant;name="Thomas C
 almant";organization=Kentyou;organizationUrl="https://www.kentyou.com
 /",juergen-albert;name="Jürgen Albert";organization="Data in Motion"
 ;organizationUrl="https://www.datainmotion.de/",stbischof;name="Stefa
 n Bischof"
Bundle-DocURL: https://projects.eclipse.org/projects/technology.sensin
 act/southbound/http-parent/http-device-factory
Bundle-License: "EPL 2.0";link="http://www.eclipse.org/legal/epl-2.0";
 description="Except for 3rd party content and examples."
Bundle-ManifestVersion: 2
Bundle-Name: Sensinact Southbound HTTP :: Device Factory
Bundle-SCM: url="https://github.com/eclipse/org.eclipse.sensinact.gate
 way/southbound/http-parent/http-device-factory",connection="scm:git:g
 it@github.com:eclipse/org.eclipse.sensinact.gateway.git/southbound/ht
 tp-parent/http-device-factory",developer-connection="scm:git:git@gith
 ub.com:eclipse/org.eclipse.sensinact.gateway.git/southbound/http-pare
 nt/http-device-factory",tag=HEAD
Bundle-SymbolicName: org.eclipse.sensinact.gateway.southbound.http.htt
 p-device-factory-tests
Bundle-Vendor: Eclipse Foundation
Bundle-Version: 0.0.2.202408091321
Created-By: 17.0.5 (Eclipse Adoptium)
Fragment-Host: org.eclipse.sensinact.gateway.southbound.http.http-devi
 ce-factory
Git-Descriptor: Brain_IoT_All_In_One-1203-gb0c9c31b7
Git-SHA: b0c9c31b77df8c1d4166f3991727d9470e200a46
Import-Package: ch.qos.logback.classic;version="[1.4,2)",ch.qos.logbac
 k.classic.spi;version="[1.4,2)",ch.qos.logback.core;version="[1.4,2)"
 ,com.fasterxml.jackson.databind;version="[2.16,3)",jakarta.servlet;ve
 rsion="[5.0,6)",jakarta.servlet.http;version="[5.0,6)",java.io,java.l
 ang,java.lang.invoke,java.net,java.nio.file,java.nio.file.attribute,j
 ava.time,java.time.temporal,java.util,java.util.concurrent,java.util.
 concurrent.atomic,java.util.function,java.util.stream,org.eclipse.jet
 ty.client;version="[11.0,12)",org.eclipse.jetty.client.api;version="[
 11.0,12)",org.eclipse.jetty.security;version="[11.0,12)",org.eclipse.
 jetty.security.authentication;version="[11.0,12)",org.eclipse.jetty.s
 erver;version="[11.0,12)",org.eclipse.jetty.server.handler;version="[
 11.0,12)",org.eclipse.jetty.util.security;version="[11.0,12)",org.ecl
 ipse.jetty.util.ssl;version="[11.0,12)",org.eclipse.jetty.util.thread
 ;version="[11.0,12)",org.eclipse.sensinact.core.notification;version=
 "[0.2,1)",org.eclipse.sensinact.gateway.geojson;version="[0.0,1)",org
 .eclipse.sensinact.gateway.southbound.device.factory.dto;version="[0.
 0,1)",org.eclipse.sensinact.northbound.security.api;version="[0.2,1)"
 ,org.eclipse.sensinact.northbound.session;version="[0.2,1)",org.junit
 .jupiter.api;version="[5.10,6)",org.osgi.service.cm;version="[1.6,2)"
 ,org.osgi.test.common.annotation;version="[1.2,2)",org.osgi.test.comm
 on.annotation.config;version="[1.1,2)",org.slf4j;version="[2.0,3)"
Private-Package: org.eclipse.sensinact.gateway.southbound.http.factory
 ,org.eclipse.sensinact.gateway.southbound.http.factory.integration
Require-Capability: osgi.service;filter:="(objectClass=org.eclipse.sen
 sinact.northbound.session.SensiNactSessionManager)",osgi.ee;filter:="
 (&(osgi.ee=JavaSE)(version=11))"
Test-Cases: org.eclipse.sensinact.gateway.southbound.http.factory.inte
 gration.HttpDeviceFactoryAuthTest,org.eclipse.sensinact.gateway.south
 bound.http.factory.integration.HttpDeviceFactoryParallelQueries,org.e
 clipse.sensinact.gateway.southbound.http.factory.integration.HttpDevi
 ceFactorySSLTest,org.eclipse.sensinact.gateway.southbound.http.factor
 y.integration.HttpDeviceFactoryTest
Tool: Bnd-7.0.0.202310060912

